
QGIS Application - Bug report #2501

Adding projection information (prj-file) throws an error if folder has cyrrilics

2010-03-06 05:32 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12561

Description

Subj, you can try to replicate with folder name "Куку"

Error message:

Traceback (most recent call last):

File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doDefineProj.py", line 84, in accept

outputPrj = open(inPath + ".prj", "w")

IOError: [Errno 2] No such file or directory:

[[PyQt]]4.QtCore.QString(u'D:/Robins/\\u0417\\u044b\\u0440\\u044f\\u043d\\u043a\\u0438/vegetationtype.prj')

Версия Python:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Путь поиска Python: ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Documents and Settings/1/.qgis//python', 'C:/Documents and

Settings/1/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\gdal-16\\\\pymod',

'C:\\\\', 'C:\\\\OSGeo4W\\\\bin\\\\python25.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python25',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

Associated revisions

Revision 6ebbf8b4 - 2010-03-08 09:19 PM - cfarmer -

Adding projection information (prj-file) no longer throws an error if folder has cyrillics. Fixes #2501.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13025 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4fa5e8f0 - 2010-03-08 09:19 PM - cfarmer -

Adding projection information (prj-file) no longer throws an error if folder has cyrillics. Fixes #2501.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13025 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2010-03-07 02:12 AM - Giovanni Manghi

Confirmed also under linux (qgis trunk, ubuntu 9.10).

#2 - 2010-03-08 12:29 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:1def2d34 (SVN r13027) (and commit:4fa5e8f0 (SVN r13026)) :-p

-Carson

Files

doDefineProj.py.diff 1.38 KB 2010-03-07 Alexander Bruy
